#include <math.h>
#include <stdint.h>
#include <string.h>

#include "params.h"

void pack(uint8_t *buf, const size_t buf_len, const uint32_t *data, const size_t data_len);

void unpack_avx2(uint32_t *data, const size_t data_len, const uint8_t *buf, const uint8_t *siged, const size_t buf_len);

void mat_mul_unpack_avx2(int32_t *C, const uint8_t *A, const uint8_t *A1, const int32_t *B, int l1, int l2, int l3);

void pack_mat_r(uint8_t *buf, const int32_t *data);

void unpack_mat_r_avx2(int32_t *data, const uint8_t *buf, int buf_len);