# This file
./README

# Cover sheet
./Supporting_Documentation/coversheet.pdf

# Signed Statements
./Supporting_Documentation/Signed_statements.pdf

# Main specification document
./Supporting_Documentation/specification.pdf

# rANS encoding document
./Supporting_Documentation/rANS.pdf

# Reference implementation of HuFu1
./Reference_Implementation/crypto_sign/HuFu_NIST1/aes/aes.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/aes/aes.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/aes/aes_c.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/aes/aes_local.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/api.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/cpucycles.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/cpucycles.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/gen_mat.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/gen_mat.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/main.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/Makefile
./Reference_Implementation/crypto_sign/HuFu_NIST1/normaldist/fixpoint.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/normaldist/fixpoint.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/normaldist/normaldist.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/normaldist/normaldist.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/pack.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/pack.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/params.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/PQCgenKAT_sign.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/random/random.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/random/random.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/rANS/compress.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/rANS/compress.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/rANS/rans_byte.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/rANS/rans_byte.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/rANS/rans_params.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/rng.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/rng.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/sampling/fpr.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/sampling/samplez.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/sampling/samplez.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/sampling/sampling.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/sampling/sampling.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/sha3/fips202.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/sha3/fips202.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/sha3/shake.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/sha3/shake.h
./Reference_Implementation/crypto_sign/HuFu_NIST1/sign.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/util.c
./Reference_Implementation/crypto_sign/HuFu_NIST1/util.h

# Reference implementation of HuFu3
./Reference_Implementation/crypto_sign/HuFu_NIST3/aes/aes.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/aes/aes.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/aes/aes_c.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/aes/aes_local.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/api.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/cpucycles.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/cpucycles.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/gen_mat.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/gen_mat.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/main.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/Makefile
./Reference_Implementation/crypto_sign/HuFu_NIST3/normaldist/fixpoint.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/normaldist/fixpoint.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/normaldist/normaldist.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/normaldist/normaldist.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/pack.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/pack.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/params.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/PQCgenKAT_sign.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/random/random.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/random/random.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/rANS/compress.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/rANS/compress.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/rANS/rans_byte.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/rANS/rans_byte.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/rANS/rans_params.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/rng.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/rng.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/sampling/fpr.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/sampling/samplez.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/sampling/samplez.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/sampling/sampling.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/sampling/sampling.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/sha3/fips202.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/sha3/fips202.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/sha3/shake.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/sha3/shake.h
./Reference_Implementation/crypto_sign/HuFu_NIST3/sign.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/util.c
./Reference_Implementation/crypto_sign/HuFu_NIST3/util.h

# Reference implementation of HuFu5
./Reference_Implementation/crypto_sign/HuFu_NIST5/aes/aes.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/aes/aes.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/aes/aes_c.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/aes/aes_local.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/api.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/cpucycles.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/cpucycles.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/gen_mat.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/gen_mat.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/main.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/Makefile
./Reference_Implementation/crypto_sign/HuFu_NIST5/normaldist/fixpoint.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/normaldist/fixpoint.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/normaldist/normaldist.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/normaldist/normaldist.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/pack.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/pack.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/params.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/PQCgenKAT_sign.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/random/random.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/random/random.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/rANS/compress.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/rANS/compress.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/rANS/rans_byte.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/rANS/rans_byte.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/rANS/rans_params.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/rng.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/rng.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/sampling/fpr.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/sampling/samplez.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/sampling/samplez.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/sampling/sampling.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/sampling/sampling.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/sha3/fips202.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/sha3/fips202.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/sha3/shake.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/sha3/shake.h
./Reference_Implementation/crypto_sign/HuFu_NIST5/sign.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/util.c
./Reference_Implementation/crypto_sign/HuFu_NIST5/util.h

# Optimized implementation of HuFu1
./Optimized_Implementation/crypto_sign/HuFu_NIST1/aes/aes.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/aes/aes.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/aes/aes_local.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/aes/aes_ni.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/api.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/cpucycles.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/cpucycles.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/gen_mat.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/gen_mat.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/main.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/Makefile
./Optimized_Implementation/crypto_sign/HuFu_NIST1/normaldist/fixpoint.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/normaldist/fixpoint.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/normaldist/normaldist.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/normaldist/normaldist.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/pack.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/pack.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/params.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/PQCgenKAT_sign.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/random/random.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/random/random.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/rANS/compress.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/rANS/compress.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/rANS/rans_byte.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/rANS/rans_byte.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/rANS/rans_params.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/rng.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/rng.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/sampling/fpr.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/sampling/samplez.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/sampling/samplez.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/sampling/sampling.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/sampling/sampling.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/sha3/fips202.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/sha3/fips202.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/sha3/shake.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/sha3/shake.h
./Optimized_Implementation/crypto_sign/HuFu_NIST1/sign.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/util.c
./Optimized_Implementation/crypto_sign/HuFu_NIST1/util.h

# Optimized implementation of HuFu3
./Optimized_Implementation/crypto_sign/HuFu_NIST3/aes/aes.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/aes/aes.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/aes/aes_local.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/aes/aes_ni.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/api.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/cpucycles.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/cpucycles.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/gen_mat.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/gen_mat.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/main.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/Makefile
./Optimized_Implementation/crypto_sign/HuFu_NIST3/normaldist/fixpoint.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/normaldist/fixpoint.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/normaldist/normaldist.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/normaldist/normaldist.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/pack.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/pack.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/params.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/PQCgenKAT_sign.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/random/random.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/random/random.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/rANS/compress.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/rANS/compress.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/rANS/rans_byte.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/rANS/rans_byte.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/rANS/rans_params.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/rng.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/rng.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/sampling/fpr.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/sampling/samplez.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/sampling/samplez.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/sampling/sampling.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/sampling/sampling.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/sha3/fips202.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/sha3/fips202.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/sha3/shake.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/sha3/shake.h
./Optimized_Implementation/crypto_sign/HuFu_NIST3/sign.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/util.c
./Optimized_Implementation/crypto_sign/HuFu_NIST3/util.h

# Optimized implementation of HuFu5
./Optimized_Implementation/crypto_sign/HuFu_NIST5/aes/aes.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/aes/aes.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/aes/aes_local.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/aes/aes_ni.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/api.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/cpucycles.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/cpucycles.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/gen_mat.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/gen_mat.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/main.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/Makefile
./Optimized_Implementation/crypto_sign/HuFu_NIST5/normaldist/fixpoint.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/normaldist/fixpoint.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/normaldist/normaldist.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/normaldist/normaldist.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/pack.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/pack.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/params.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/PQCgenKAT_sign.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/random/random.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/random/random.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/rANS/compress.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/rANS/compress.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/rANS/rans_byte.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/rANS/rans_byte.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/rANS/rans_params.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/rng.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/rng.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/sampling/fpr.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/sampling/samplez.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/sampling/samplez.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/sampling/sampling.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/sampling/sampling.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/sha3/fips202.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/sha3/fips202.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/sha3/shake.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/sha3/shake.h
./Optimized_Implementation/crypto_sign/HuFu_NIST5/sign.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/util.c
./Optimized_Implementation/crypto_sign/HuFu_NIST5/util.h

# Additional implementation of HuFu1
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/aes/aes.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/aes/aes.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/aes/aes_local.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/aes/aes_ni.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/api.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/cpucycles.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/cpucycles.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/gen_mat.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/gen_mat.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/main.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/Makefile
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/normaldist/fixpoint.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/normaldist/fixpoint.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/normaldist/normaldist.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/normaldist/normaldist.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/pack.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/pack.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/params.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/PQCgenKAT_sign.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/random/random.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/random/random.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/rANS/compress.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/rANS/compress.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/rANS/rans_byte.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/rANS/rans_byte.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/rANS/rans_params.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/rng.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/rng.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/sampling/fpr.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/sampling/samplez.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/sampling/samplez.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/sampling/sampling.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/sampling/sampling.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/sha3/fips202.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/sha3/fips202.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/sha3/fips202x4.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/sha3/fips202x4.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/sha3/shake.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/sha3/shake.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/sign.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/util.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST1/util.h

# Additional implementation of HuFu3
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/aes/aes.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/aes/aes.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/aes/aes_local.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/aes/aes_ni.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/api.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/cpucycles.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/cpucycles.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/gen_mat.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/gen_mat.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/main.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/Makefile
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/normaldist/fixpoint.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/normaldist/fixpoint.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/normaldist/normaldist.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/normaldist/normaldist.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/pack.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/pack.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/params.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/PQCgenKAT_sign.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/random/random.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/random/random.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/rANS/compress.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/rANS/compress.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/rANS/rans_byte.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/rANS/rans_byte.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/rANS/rans_params.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/rng.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/rng.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/sampling/fpr.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/sampling/samplez.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/sampling/samplez.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/sampling/sampling.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/sampling/sampling.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/sha3/fips202.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/sha3/fips202.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/sha3/fips202x4.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/sha3/fips202x4.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/sha3/shake.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/sha3/shake.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/sign.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/util.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST3/util.h

# Additional implementation of HuFu5
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/aes/aes.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/aes/aes.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/aes/aes_local.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/aes/aes_ni.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/api.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/cpucycles.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/cpucycles.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/gen_mat.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/gen_mat.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/main.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/Makefile
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/normaldist/fixpoint.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/normaldist/fixpoint.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/normaldist/normaldist.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/normaldist/normaldist.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/pack.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/pack.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/params.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/PQCgenKAT_sign.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/random/random.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/random/random.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/rANS/compress.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/rANS/compress.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/rANS/rans_byte.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/rANS/rans_byte.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/rANS/rans_params.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/rng.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/rng.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/sampling/fpr.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/sampling/samplez.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/sampling/samplez.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/sampling/sampling.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/sampling/sampling.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/sha3/fips202.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/sha3/fips202.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/sha3/fips202x4.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/sha3/fips202x4.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/sha3/shake.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/sha3/shake.h
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/sign.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/util.c
./Additional_Implementation/avx2/crypto_sign/HuFu_NIST5/util.h

# Script for generating rANS parameter
./scripts/gen_rANS_params/gen_highbit_freq.py
./scripts/gen_rANS_params/gen_rans_params.c
./scripts/gen_rANS_params/highbit_freq_sec1.h
./scripts/gen_rANS_params/highbit_freq_sec3.h
./scripts/gen_rANS_params/highbit_freq_sec5.h
./scripts/gen_rANS_params/rans_byte.h
./scripts/gen_rANS_params/rans_params_sec1.h
./scripts/gen_rANS_params/rans_params_sec3.h
./scripts/gen_rANS_params/rans_params_sec5.h
./scripts/gen_rANS_params/requirements.txt
./scripts/gen_rANS_params/run.sh
./scripts/gen_rANS_params/utils.py
./scripts/sec_estimate.py

# Script for code formatting
./scripts/format.sh

# Script for benchmark
./scripts/run.sh

# Script for security estimation
./scripts/sec_estimate.py

# SHA256sum of KAT values
./KAT/KAT.sha256








